---
lang: en
title: 'API docs: metadata.metadataaccessor.create'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.metadataaccessor.create.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataAccessor](./metadata.metadataaccessor.md) &gt; [create](./metadata.metadataaccessor.create.md)

## MetadataAccessor.create() method

Create a strongly-typed metadata accessor

<b>Signature:</b>

```typescript
static create<T, D extends DecoratorType>(key: string): MetadataAccessor<T, D>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>string</code> | The metadata key |

<b>Returns:</b>

`MetadataAccessor<T, D>`


